<?php

class UserController extends Controller
{

	public function actionLogin()
	{
        $this->layout = '//layouts/fullscreen';
        if (Yii::app()->user->isGuest) {
            $userLogin = new UserLogin;
            // collect user input data
            if(isset($_POST['UserLogin']))
            {
                $userLogin->attributes=$_POST['UserLogin'];
                // validate user input and redirect to previous page if valid
                if( $userLogin->validate() ) {
                    if ( Yii::app()->branding->product !="DiVA" && Yii::app()->user->returnUrl =="/" && Yii::app()->user->checkAccess("useControlCenter") ){
                        $this->redirect( array("/controlcenter/main/index") );
                    } else {
                        $this->redirect(Yii::app()->user->returnUrl);			
                    }
                }
            }
            // display the login form
            $this->render('login',array('userLogin'=>$userLogin));            
		} else{
			if ( Yii::app()->user->returnUrl != Yii::app()->createUrl('user/login') ){
                $this->redirect(Yii::app()->user->returnUrl);					
            } else {
                $this->redirect( "/" );					
            }
        }
	}

	public function actionLogout()
	{
        // Logout the current user
        Yii::app()->user->logout();
		$this->redirect(Yii::app()->user->returnUrl);
	}

}