<?php
/* @var $this AssetsSelect */

?>
<div class="row spx-table-topbar" <?php echo "id='".$this->id."'";?> >   
    <div class="col-sm-6 col-lg-4">        
        <div class="btn-toolbar">
<?php
$this->widget('ActionSet', array(
    'actions' => array(
        array( 'preset'=> 'large',
                "data-bind" => "click: function(){ setPageLength( 'large' ); }, css: { active: !tableView() && pageLength()==length('large') }" ),
        array( 'preset'=> 'medium',
                "data-bind" => "click: function(){ setPageLength( 'medium' ); }, css: { active: !tableView() && pageLength()==length('medium') }" ),        
        array( 'preset'=> 'small',
                "data-bind" => "click: function(){ setPageLength( 'small' ); }, css: { active: !tableView() && pageLength()==length('small')}"),
        array( 'preset'=> 'list',
                "data-bind" => "click: function(){ setPageLength( 'list' ); }, css: { active: tableView() }"),        
    ),
    'options' => $this->actionOptions,
    'style' => 'icon',
    'size' => 'btn-sm'
));
if ( $this->direction ) {
    $this->widget('ActionSet', array(
        'actions' => array(
            array( 'preset'=> 'horizontal',
                    "data-bind" => "click: function(){ vertical( false ); }, css: { active: !vertical() }" ),
            array( 'preset'=> 'vertical',
                    "data-bind" => "click: function(){ vertical( true ); }, css: { active: vertical() }" ),
        ),
        'options' => $this->actionOptions,
        'style' => 'icon',
        'size' => 'btn-sm'
    ));
}
?>
        </div>
    </div>
    <div class="col-sm-6 col-md-4 col-md-offset-2 col-lg-3 col-lg-offset-5">                
        <!--div class="row">
            <div class="form-group col-md-6">
                <select class="form-control" data-style="btn-default" data-bind="bootstrapSelect: typeSearch, options: types">
                </select>                        
            </div>
            <div class="form-group col-md-6">
                <input class="form-control typeahead" type="text" placeholder="Search" data-bind="typeahead: inputSearch, typeaheadDataset: searchDatasets"/>
            </div>
        </div-->        
        <div class="form-group">
            <div class="input-group input-group-sm" style="width: 100%" <?php foreach( $this->formOptions as $name => $val) { echo $name."=\"".$val."\" "; }?> >
                <div class="input-group-btn " data-bind="visible: types().length > 2" style="width: 33%" <?php foreach( $this->selectOptions as $name => $val) { echo $name."=\"".$val."\" "; }?>>
                    <select class="form-control" data-style="btn-default" data-bind="bootstrapSelect: typeSearch, options: types, optionsText: typeOptionText"></select> 
                </div>
                
                <input <?php foreach( $this->searchOptions as $name => $val) { echo $name."=\"".$val."\" "; }?> class="form-control typeahead" type="text" placeholder="Search" data-bind="typeahead: inputSearch, typeaheadDataset: searchDatasets"/>
            </div>
        </div>
    </div>
</div>
<div data-bind="css: {'spx-vertical': vertical(), 'spx-horizontal': !vertical() }">
    <div <?php foreach( $this->tableOptions as $name => $val) { echo $name."=\"".$val."\" "; }?> >
        <table class="no-border table" data-bind="dataTable: datatableOptions, dataTableTarget: table, visible: tableView">
            <thead class="no-border">
            </thead>
            <tbody class="no-border-y">            
            </tbody>            
        </table>
    </div>
</div>
