<?php
/* @var $this MainController */

$this->breadcrumbs = array( 
    "Apps" => array( "playing/create" ),
    $apps->name
);

$this->registerSpxScript( 'resources.js' );
$this->registerSpxScript( 'apps.js' );

$this->title = $apps->name; 
$this->topBar .= $this->widget('ActionSet', array(
    'actions' => array(
        array( 'preset'=> 'apply',
                'data-bind' => 'click: apply'
        ),
        array( 'icon'=> 'times', 'title' => 'Close',
                'data-bind' => 'click: cancel'
        ),        
    ),
    'options' => array( 
        "class" => "pull-right"
    )
), true); 

$desc = $apps->getDesc();
$parents = array();
foreach ( $apps->parents as $parent ){
    $parents[] = $parent->getListDesc( true );
}
$desc['parents'] = $parents;
$desc['links']["playout"] = $this->createUrl("playout/edit", array('id'=>"[id]") );
$desc["visible"]["playout"]["edit"] = Yii::app()->user->checkAccess( "edit". ucfirst("playout"));

$desc["variable"] = $variable;
?>

<script type="text/javascript" >
//<![CDATA[
var args = <?php echo CJavaScript::encode( $desc ); ?>;

var appModel = new AppsEdit( args );
//]]></script>
<div class="spx-row-border">
<?php 
echo $apps->getView();
?>
</div>
<?php
if ( !Yii::app()->user->getApikey() ) {
?>
<div data-bind="if: showParent" >    
    <div class="clearfix" data-bind="with: parents">
        <?php $this->widget('AssetsSelect', array( 
            'tableOptions'=>array( "id"=>"ParentIconViewTable" )                    
        )); ?>        
    </div>
</div>
<?php }?>
<script type="text/javascript" >
//<![CDATA[

ko.applyBindings( appModel );
appModel.load();

//]]></script>