<?php
/* @var $this MainController */

$this->registerSpxScript( 'resources.js' );
$this->registerSpxScript( 'work.js' );

$this->breadcrumbs[] = $this->title = '&nbsp;'; 
 
$this->topBar .= $this->helpButton( array(
    'steps' => array(
        array( 'intro' => 'This page let you work with apps'),
        array( 
            'element' => '#iconViewTable',
            'intro' => 'List of all apps avaible in your player',            
        ),   
        array( 
            'element' => '#iconViewTable .apps-config',
            'intro' => 'Some Apps can be configured',            
        ), 
    )
));

?>
<div class="row" >
    <div class='col-md-12' data-bind="with: resources">
<?php
$this->widget('AssetsSelect', array(   
    'tableOptions'=>array( "id"=>"iconViewTable" ),
    'selectOptions'=>array( "id"=>"iconViewSelect" ),
    'direction' => false
));
?>    
    </div>
</div>
<script type="text/javascript" >
//<![CDATA[
<?php
    $models = array( 'apps' );
    $actions = array( 'delete', 'edit', 'copy' );
    
    $resources = array();
    $visible = array();
    foreach ( $models as $idx => $model ){
        if ( Yii::app()->user->checkAccess('view'. ucfirst($model)) ) {
            $resources[] = $model;
        }
        foreach ( $actions as $action ){
            if ( !Yii::app()->user->checkAccess( $action. ucfirst($model)) ) {
                $visible[$model][$action] = false;
            }
        }
    }
    array_unshift($resources, array( 
            "id"=> "media",
            "name"=> "Media zone",
            "desc"=> "Media zone",
            "type"=> "apps",            
    ));
    $options = array(
        "links" => array(
            "apps" => $this->createUrl("apps/edit", array('id'=>"[id]") ),
        ),
        'resources' => $resources,
        'visible' => $visible,
        "keepAllApps" => true
    );    
?>
var model = new WorkEdit(<?php echo CJavaScript::encode( $options ); ?>);

ko.applyBindings( model );
//]]></script>
