<?php
/* @var $this MediaController */
// If neededing additonal scripts
//Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl.'/js/ascript/file',CClientScript::POS_END);
?>
<div class="row">
    <div class='col-sm-4 hidden-xs hidden-sm' data-bind="visible: useVerticalLayout()">
        <div id="selectZoneVertical"> </div>
    </div>    
    <div class="spx-dropzone" data-bind="css: { 'col-md-8': !useVerticalLayout(), 'col-sm-12': !useVerticalLayout(),
                                                'col-md-4' : useVerticalLayout(), 'col-sm-6' : useVerticalLayout() }">
        <div id='playoutEditZone' style="position: relative;" 
             data-bind="foreach: { data: playout().layers }, 
                        droppable: { data: playout, template: false, options: { accept: '.apps'  } }
             ">
            <!-- ko if: $root.editLayout -->
            <div data-bind="style:{ 
                        position: 'absolute', 
                        top: top(), left: left(), width: width(), height: height() }, 
                    click: $root.click,
                    draggable: { if: draggable, data: $data, template: false,
                                options: { helper: 'original', containment: 'parent' },
                                start: $root.startDrag, stop: $root.stopDragResize },
                    resizable: { if: resizable, data: $data, template: false, options: { containment: 'parent', handles: 'all' },
                                isEnabled: selected, start: $root.startResize, stop: $root.stopDragResize  }" >
                <div data-bind="template: { name: 'layer-template', data: $data }"></div>    
            </div>
            <!-- /ko -->
            <!-- ko ifnot: $root.editLayout -->
            <div data-bind="style:{ 
                        position: 'absolute',                         
                        top: top(), left: left(), width: width(), height: height() }, 
                 css: 'idx-'+$index(),
                 click: $root.click,
                 droppable: { data: $data, template: false, options: { accept: '.resource' } }
                 " class='drop-layer'>
                <div data-bind="template: { name: 'layer-template', data: $data }"></div>
                <div class="spx-highlight back" data-bind="css: { active: selected() }" ></div>
                <div class="spx-highlight layer" data-bind="css: { active: selected() }" ></div>
            </div>
            <!-- /ko -->
        </div>        
    </div>
    <div class="visible-xs spx-right-menu" style="margin-top: 10px;" ></div>
    <div data-bind="if: !useVerticalLayout()">
        <div class="visible-sm col-sm-12" style="margin-top: 10px;" ></div>
    </div>
    <div class='col-md-offset-0 col-md-4 spx-right-menu col-sm-6' data-bind="css: { 'col-sm-offset-6' : !useVerticalLayout() }" >
         
        <div>            
            <div data-bind="visible: playout().editProperties">
                <div class="panel panel-info" >
                    <div class="panel-heading" data-bind="text: playout().name">Setup</div>
                    <div class="panel-body">
    <?php 
    $this->widget('PropertiesInput', array(
        'src' => 'playout().properties'
    )); 
    ?>  
                    </div>
                </div>            
            </div>
            <div class="panel-group" id="accordion" data-bind="foreach: playout().layers, hidden: playout().editProperties">
                <div class="panel collapsed" data-bind="visible: $root.editLayout() || type !== 'apps' || apps().uiProperties().length>0 ">
                    <div class="panel-heading">
                        <a data-toggle="collapse" data-parent="#accordion"
                           data-bind="text: name, attr: { href: '#collapseLayer'+$index() }, click: $parent.selectLayer "></a>  
<?php 
                            $this->widget('ActionSet', array(
                                'actions' => array( 
                                    array( 'preset'=> 'clear', 'data-bind' => 'visible: type === "playlist" && !$root.editLayout(), click: clearPlaylist' ), 
                                    array( 'preset'=> 'edit', 'data-bind' => 'visible: type === "playlist" && !$root.editLayout(), click: $root.startEdit' ),
                                    array( 'icon'=> 'chevron-up', 'title' => 'Move Up', 'data-bind' => 'css: {disabled: $index() < 2}, visible: !background && $root.editLayout(), click: $parent.moveUp' ), 
                                    array( 'icon'=> 'chevron-down', 'title' => 'Move Down', 'data-bind' => 'css: {disabled: $index() > $parent.playout().layers().length-2}, visible: !background && $root.editLayout(), click: $parent.moveDown' ), 
                                    array( 'preset'=> 'remove', 'data-bind' => 'click: $root.removeLayer, visible: !background && $root.editLayout()' ),
                                ),
                                'options' => array( 
                                    "class" => "pull-right",
                                 ),
                                'style' => 'icon',
                                'size' => 'btn-sm'
                            ));
?>                             
                    </div>
                    <div data-bind="attr: { id: 'collapseLayer'+$index() }" 
                         data-parent="#accordion"
                         class="panel-collapse panel collapse" >
                        <div data-bind="template: { name: $root.editTemplateName, data: $data }"></div>                    
                    </div>
                </div>
            </div>  
        </div>
    </div>
    <div data-bind="if : useVerticalLayout() ">
        <div class="clearfix visible-sm spx-row-border" ></div>
    </div>
    <div data-bind="if : !useVerticalLayout() "></div>
    <div class="clearfix hidden-xs hidden-sm spx-row-border"></div>
</div>        

<script type="text/html" id="layer-template">
    <div style="position: relative;">
        <!-- ko if: type === 'playlist' && playlist.media().length > 1 -->  
            <!--div style="overflow: hidden; position: relative;" data-bind="style : getStyle()">
                <div class="spx-preview-fixed-item spx-preview-background" data-bind="style: { backgroundImage: 'url(\''+preview()+'\')' }"/>
            </div -->
            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink= "http://www.w3.org/1999/xlink" data-bind="attr: {width: width, height: height}" >
            <image data-bind="attr: {'xlink:href': preview, width: width, height: height, preserveAspectRatio: preserveAspectRatio}" xlink:href="" x="0" y="0" />                
            </svg>
        <!-- /ko -->
        <!-- ko if: !background && type === 'playlist' && playlist.media().length < 2 -->                     
            <div class='spx-drop-zone' data-bind="style : { width: width, height: height}" >                   
                <div ><div >
                    Drag &amp; drop<br/>
                    <span class="fa-stack"><i class="fa fa-circle fa-stack-2x"></i><i class="fa fa-inverse fa-picture-o fa-stack-1x"></i></span>
                    <span class="fa-stack"><i class="fa fa-circle fa-stack-2x"></i><i class="fa fa-inverse fa-video-camera fa-stack-1x"></i></span>
                </div></div>
            </div>
        <!-- /ko -->
        <!-- ko if: background && type === 'playlist' && playlist.media().length < 2 -->                     
            <div data-bind="style : { width: width, height: height, backgroundColor: color}" >                                   
            </div>
        <!-- /ko -->
        <!-- ko if: type === 'apps' && !$root.hideSVG() && !$root.appForLayout() -->
            <div style="position: absolute; top: 0; left: 0; width: 100%; height: 100%;"></div>
            <iframe style="border: none; margin-bottom: -5px;"
                data-bind="attr: { width: width, height: height, src: preview} ">
            </iframe>                    
        <!-- /ko -->
        <!-- ko if: type === 'apps' && $root.hideSVG() -->
            <div data-bind="style : { width: width, height: height}" 
            />                    
        <!-- /ko -->
        <!-- ko if: $root.editLayout() -->
            <div class="spx-layout" data-bind="css: { active: selected() }">
            </div>
            <div class="spx-highlight back" data-bind="css: { active: selected(), overlap: overlap() }" ></div>
            <div class="spx-highlight layout" data-bind="css: { active: selected(), overlap: overlap() }">
            </div>
        <!-- /ko -->
    </div>
</script>



<script type="text/html" id="playlist-template">
    <div class="spx-gallery spx-gallery-small panel-body" >  
        <div class="row">
            <div data-bind="foreach: playlist.media">
                <div class="col-xs-2" data-bind="if: $index() < 6 && !placeholder">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <div class="spx-preview-fixed">
                                <!--img data-bind="attr: { src: icon, alt: name}, visible: $index() < 5 || $parent.playlist.media().length === 6" class="spx-preview spx-preview-fixed-item"/-->
                                <div class="spx-preview spx-preview-fixed-item spx-preview-background" data-bind="visible: $index() < 5 || $parent.playlist.media().length === 6, style: { backgroundImage: 'url('+icon()+')'}"></div>
                                <h2 data-bind="visible: $index() === 5 && $parent.playlist.media().length !== 6, text: '+' + ( $parent.playlist.media().length - 5 )" class="spx-preview spx-preview-fixed-item">...</h2>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xs-10 form-horizontal small" data-bind="visible: playlist.media().length === 2">
                <div class="form-group">
                    <input type="checkbox" class='form-control input-sm btn-sm' data-bind="iCheck: createSet"> </input>
                    <label class="control-label">Create set</label>
                </div>
            </div>
        </div>
        <div data-bind="if !background, visible: playlist.media().length === 1" >No image or video selected
        </div> 
        <div data-bind="if: background, visible: playlist.media().length === 1" >
<?php 
$this->widget('PropertiesInput', array(
    'src' => 'backgroundProperties'
)); 
?>            
        </div> 
        <div class="clearfix spx-extra-space" data-bind="visible: playlist.media().length>2, with: playlist" >
<?php 
$this->widget('PropertiesInput', array(
    'src' => 'properties'
)); 
?>       
        </div> 
    </div>                       
</script>    
<script type="text/html" id="widget-template">
    <div class="panel-body" data-bind="with: apps" >
        <?php 
$this->widget('PropertiesInput', array(
    'src' => 'uiProperties'
)); 
?>       
    </div>                   
</script>    
<script type="text/html" id="position-template">
    <div class="panel-body">
        <div class="form-horizontal small" >
            <div class="form-group">
                <label for="layoutName" class="col-sm-4 control-label">Name</label>            
                <div class="col-sm-8">
                    <input class="form-control input-sm" id="layoutName" data-bind="value: name"/>
                </div>
            </div>
        </div>          
        <div class="form-horizontal small spx-row-border" >
            <!-- ko if: draggable -->
            <div class="form-group">
                <label for="layoutTop" class="col-sm-4 control-label">Position</label>            
                <div class="col-sm-4">
                    <div class="input-group input-group-sm">
                        <span class="input-group-addon">X</span>
                        <input class="form-control" id="layoutTop" data-bind="value: args.left"/>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="input-group input-group-sm">
                        <span class="input-group-addon">Y</span>
                        <input class="form-control" id="layoutLeft" data-bind="value: args.top"/>
                    </div>
                </div>
            </div>
            <!-- /ko -->
            <!-- ko if: resizable -->
            <div class="form-group">
                <label for="layoutWidth" class="col-sm-4 control-label">Dimensions</label>     
                <div class="col-sm-4">
                    <div class="input-group input-group-sm">
                        <span class="input-group-addon">W</span>
                        <input class="form-control"  id="layoutWidth" data-bind="value: args.width"/>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="input-group input-group-sm">
                        <span class="input-group-addon">H</span>
                        <input class="form-control" id="layoutHeight" data-bind="value: args.height"/>
                    </div>
                </div>                
            </div>
            <!-- /ko -->            
        </div>   
        <!-- ko if: type === 'playlist' -->        
<?php 
    $this->widget('PropertiesInput', array(
        'src' => 'playlist.propertiesEdit'
    )); 
?>
        <!-- /ko -->
        <!-- ko if: type === 'apps' -->
<?php 
    $this->widget('PropertiesInput', array(
        'src' => 'apps().properties'
    )); 
?>       
        <!-- /ko -->
    </div>
</script>      
<script type="text/html" id="fixed-template">
    <div class="panel-body">
        <div class="form-horizontal small" >
            <div class="form-group">
                <label for="layoutName" class="col-sm-4 control-label">Name</label>            
                <div class="col-sm-8">
                    <input class="form-control input-sm" id="layoutName" data-bind="value: name"/>
                </div>
            </div>            
        </div> 
</script>