<?php
/* @var $this TemplateController */
// If neededing additonal scripts
//Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl.'/js/ascript/file',CClientScript::POS_END);
?>
<div class="row clearfix" data-bind="css: { 'spx-row-border' : playout().editRatio()>=1 }">
    <div class='col-md-4' data-bind="visible: playout().editRatio()<1">
        <div id="selectZoneVertical"> </div>
    </div>
    <div class="spx-dropzone" data-bind="css: { 'col-md-8' : playout().editRatio()>=1, 'col-md-4' : playout().editRatio()<1 }">
        <div id='templateEditZone' style="position: relative;" 
             data-bind="foreach: { data: playout().layers }, 
                        droppable: { data: playout, template: false, options: { accept: '.apps'  } }
             ">
            <div data-bind="style:{ 
                        position: 'absolute', 
                        top: top(), left: left(), width: width(), height: height() }, 
                    click: $root.click,
                    draggable: { if: draggable, data: $data, template: false,
                                options: { helper: 'original', containment: 'parent' },
                                start: $root.startDrag, stop: $root.stopDragResize },
                    resizable: { if: resizable, data: $data, template: false, options: { containment: 'parent', handles: 'all' },
                                isEnabled: selected, start: $root.startResize, stop: $root.stopDragResize  }" >
                <div data-bind="template: { name: 'layer-template', data: $data }"></div>    
            </div>            
        </div>        
    </div>

    <div class='col-md-4 spx-right-menu' >
        <div>
            <div data-bind="visible: playout().editProperties">
                <div class="panel" >
                    <div class="panel-heading">Properties</div>
                    <div class="panel-body">
    <?php 
    $this->widget('PropertiesInput', array(
        'src' => 'playout().properties'
    )); 
    ?>  
                    </div>
                </div>            
            </div>
            <div class="panel-group" id="accordion" data-bind="foreach: playout().layers, hidden: playout().editProperties">
                <div class="panel collapsed" >
                    <div class="panel-heading">
                        <a data-toggle="collapse" data-parent="#accordion"
                           data-bind="text: name, attr: { href: '#collapseLayer'+$index() }, click: $parent.selectLayer "></a>  
<?php 
                            $this->widget('ActionSet', array(
                                'actions' => array( 
                                    array( 'icon'=> 'chevron-up', 'title' => 'Move Up', 'data-bind' => 'css: {disabled: $index() < 2}, visible: !background, click: $parent.moveUp' ), 
                                    array( 'icon'=> 'chevron-down', 'title' => 'Move Down', 'data-bind' => 'css: {disabled: $index() > $parent.playout().layers().length-2}, visible: !background, click: $parent.moveDown' ), 
                                    array( 'preset'=> 'remove', 'data-bind' => 'click: $root.removeLayer, visible: !background' ),
                                ),
                                'options' => array( 
                                    "class" => "pull-right",
                                 ),
                                'style' => 'icon',
                                'size' => 'btn-sm'
                            ));
?> 
                    </div>
                    <div data-bind="attr: { id: 'collapseLayer'+$index() } " 
                         data-parent="#accordion"
                         class="panel-collapse panel collapse" >
                        <div data-bind="template: { name: $root.editTemplateName, data: $data }"></div>                    
                    </div>
                </div>
            </div> 
        </div>          
    </div>
</div> 
<div id="selectZoneHorizontal"> 
    <div id="selectZone"> 
        <div class="clearfix" data-bind="with: apps">
            <?php $this->widget('AssetsSelect', array( 'direction' => false )); ?>        
        </div>
   </div> 
</div> 

<script type="text/html" id="layer-template">
    <div style="position: relative;">
        <!-- ko if: type === 'playlist' && !background -->                     
            <div class='spx-drop-zone' data-bind="style : { width: width, height: height}" >                   
                <div ><div >
                    Drag &amp; drop<br/>
                    <span class="fa-stack"><i class="fa fa-circle fa-stack-2x"></i><i class="fa fa-inverse fa-picture-o fa-stack-1x"></i></span>
                    <span class="fa-stack"><i class="fa fa-circle fa-stack-2x"></i><i class="fa fa-inverse fa-video-camera fa-stack-1x"></i></span>
                </div></div>
            </div>
        <!-- /ko -->
        <!-- ko if: background -->                     
            <div data-bind="style : { width: width, height: height, backgroundColor: color}" >                                   
            </div>
        <!-- /ko -->
        <!-- ko if: type === 'apps' && !$root.hideSVG() && !$root.appForLayout() -->
            <div style="position: absolute; top: 0; left: 0; width: 100%; height: 100%;"></div>
            <iframe style="border: none; margin-bottom: -5px;"
                data-bind="attr: { width: width, height: height, src: preview} ">
            </iframe>                    
        <!-- /ko -->
        <!-- ko if: type === 'apps' && $root.hideSVG() -->
            <div class='spx-drop-zone' data-bind="style : { width: width, height: height}" >                   
                <div ><div >
                    <span class="fa-stack fa-lg"><i class="fa fa-circle fa-stack-2x"></i><i class="fa fa-inverse fa-list-alt fa-stack-1x"></i></span>                        
                </div></div>
            </div>                   
        <!-- /ko -->
        <div class="spx-layout" data-bind="css: { active: selected() }">
        </div>
        <div class="spx-highlight back" data-bind="css: { active: selected(), overlap: overlap() }" ></div>
        <div class="spx-highlight layout" data-bind="css: { active: selected(), overlap: overlap() }">
        </div>
    </div>
</script>



  
<script type="text/html" id="widget-template">
    <div class="panel-body" data-bind="with: apps" >
        <?php 
$this->widget('PropertiesInput', array(
    'src' => 'properties'
)); 
?>       
    </div>                   
</script>    
<script type="text/html" id="position-template">
    <div class="panel-body">
        <div class="form-horizontal small" >
            <div class="form-group">
                <label for="layoutName" class="col-sm-4 control-label">Name</label>            
                <div class="col-sm-8">
                    <input class="form-control input-sm" id="layoutName" data-bind="value: name"/>
                </div>
            </div>
        </div>          
        <div class="form-horizontal small" data-bind="css: { 'spx-row-border' : type === 'apps' }" >
            <!-- ko if: draggable -->
            <div class="form-group">
                <label for="layoutTop" class="col-sm-4 control-label">Position</label>            
                <div class="col-sm-4">
                    <div class="input-group input-group-sm">
                        <span class="input-group-addon">X</span>
                        <input class="form-control" id="layoutTop" data-bind="value: args.left"/>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="input-group input-group-sm">
                        <span class="input-group-addon">Y</span>
                        <input class="form-control" id="layoutLeft" data-bind="value: args.top"/>
                    </div>
                </div>
            </div>
            <!-- /ko -->
            <!-- ko if: resizable -->
            <div class="form-group">
                <label for="layoutWidth" class="col-sm-4 control-label">Dimensions</label>     
                <div class="col-sm-4">
                    <div class="input-group input-group-sm">
                        <span class="input-group-addon">W</span>
                        <input class="form-control"  id="layoutWidth" data-bind="value: args.width"/>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="input-group input-group-sm">
                        <span class="input-group-addon">H</span>
                        <input class="form-control" id="layoutHeight" data-bind="value: args.height"/>
                    </div>
                </div>                
            </div>
            <!-- /ko -->
        </div>   
        <!-- ko if: type === 'apps' -->
    <?php 
    $this->widget('PropertiesInput', array(
        'src' => 'apps().properties'
    )); 
    ?>       
        <!-- /ko -->
    </div>
</script>    
<script type="text/html" id="fixed-template">
    <div class="panel-body">
        <div class="form-horizontal small" >
            <div class="form-group">
                <label for="layoutName" class="col-sm-4 control-label">Name</label>            
                <div class="col-sm-8">
                    <input class="form-control input-sm" id="layoutName" data-bind="value: name"/>
                </div>
            </div>            
        </div> 
        <!-- ko if: background -->                
<?php 
$this->widget('PropertiesInput', array(
    'src' => 'backgroundProperties'
)); 
?>            
        <!-- /ko -->
    </div> 

</script>