<?php

class CertificatesController extends ControlCenterController
{    
    public function actionAdd()
    {
        $this->ajaxOnly(); 
        $errors = array();
        $data = null;
        $sslConfig = new SSLConfig;
        $sslConfig->setScenario('upload');
        if ( isset($_FILES['SSLConfig']) ) {
            $sslConfig->setAttributes( $_FILES['SSLConfig'] );
            if ( $sslConfig->validate() )
                $data = $sslConfig->saveCertificate( CUploadedFile::getInstance($sslConfig, 'uploadedfile') );
        }  else {
            $errors[] = "No file provided";            
        }
        
        $this->render('/layouts/ajax', array(
            'errors' => $this->updateErrors( $sslConfig, $errors ),
            'data' => $data
        ));
    }
    
    public function actionDelete()
	{
        $this->ajaxOnly(); 
        
        $sslConfig = new SSLConfig;

        $this->render('/layouts/ajax', array(
            'success' => $sslConfig->delete( $_POST['target'] )
        ));
    }
    
}