<?php
/* @var $this ReportingController */
foreach ($screenInfo->monitors as $mon ) {    
    if ( isset( $mon['text'] ) ) {
        $data = array(
            array( 'label'=>"Settings", 'value' =>  $screenInfo->settingsStr ),                         
        );
        if ( count($screenInfo->monitors) == 1 ){
            $data[] = array( 'label'=>"Type" , 'value' => $mon['type'] );
        }
        $data[] = array( 'label'=>"Display" , 'value' => $mon['text'] );
        if ( isset( $mon['width'] ) ) {
            $data[] = array( 'label'=>"Display size", 'value' => $mon['width']." x ".$mon['height']." cm" );
            $data[] = array( 'label'=>"Aspect ratio", 'value' => $mon['aspectRatio'] );
        }
        if ( isset( $mon['underscan'] ) ) {
            $data[] = array( 'label'=>"Underscan", 'value' => $mon['underscan'] );
        }
        $info = $this->widget('DataTable', array( 'data' => $data, 'title' => count($screenInfo->monitors)>1?$mon['type'] . " Output":"Detected Display" ), 1 );            
        echo BsHtml::alert( BsHtml::ALERT_COLOR_INFO, $info );
    } 
    
}

