<?php
/* @var $this ConfigController */

$formConfig = $this->beginWidget('SimpleForm', array( 
    'title' => "Power",
    'id' => "Power",
    'button' => "Apply",
    'action' => array ( 'post' => array() )
) );
    $formConfig->errorSummary( $serialConfig );    
    $screenInfo = new ScreenInfo();
    $screenInfo->load();
    if ( !$screenInfo->powersaveSupported ){
        echo BsHtml::alert( 
            BsHtml::ALERT_COLOR_WARNING, 
            "Display power management is not supported with the currently attached display." ."<br/>".
            "For HDMI displays, make sure CEC is enabled.",
            array(  )
        );
    }
    echo $formConfig->activeCheckBox($serialConfig, "enablePowerSave", array(), true );
    echo $formConfig->activeCheckBox($serialConfig, "fixedMonPower", array(), true );
     echo CHtml::openTag("div", array(
        "data-bind" => "if: fixedMonPower"
    ));
        echo $formConfig->activeTextField($serialConfig, "onTime", array() );
        echo $formConfig->activeTextField($serialConfig, "offTime", array() );    
    echo CHtml::closeTag("div");
$this->endWidget();

