<?php
/* @var $this ReportingController */

function addRow( $log ) {
    return array( 
            CHtml::link( CHtml::encode($log[0]), "/log/".$log[0] ),
            round($log[1]/1024,1),
            date("j M Y", $log[2])
    );   
}
function getTable( $logsInfo ) {
    $table = array();
    foreach ($logsInfo as $idx => $log ) {
        $table[] = addRow( $log );
    }    
    return $table;
}

$items = array(
    "Proof" => array ( 
        'title' => "Proof of play",
        'attribute' => 'accounting'
    ),
    "Current" => array ( 
        'title' => "Current",
        'attribute' => 'current'
    ),
    "Backup" => array ( 
        'title' => "Backup",
        'attribute' => 'backup'
    ),
);
foreach ($items as $id=>$item ){
    $form = $this->beginWidget('SimpleForm', array( 
        'title' => $item['title'],  
        'id' => $id,  
        'contentClass' => 'content logs',    
    ) );

        echo $form->table( array( "File", "Size (KB)", "Date"), getTable( $logsInfo->$item['attribute'] ) ); 

    $this->endWidget();
}