<?php
/* @var $this UserController */
?>
<div id="cl-wrapper" class="login-container">
	<div class="middle-login">
		<div class="block-flat">
			<div class="header">							
				<h3 class="text-center">
                    <img class="logo-img" src="/images/logo.png" alt="logo"/>
                    <?php echo $this->name;?>
                </h3>
			</div>
			<div>
                <?php echo BsHtml::errorSummary($userLogin); ?>
                <?php echo CHtml::beginForm( "", "POST", array( 'class'=>'form-horizontal' )); ?>
					<div class="content">
						<h4 class="title">Login</h4>
                        <?php echo BsHtml::activeTextFieldControlGroup( 
                                                $userLogin, 'username', 
                                                array( 
                                                    'prepend' => BsHtml::faIcon('fw user'),
                                                    'labelOptions' => false,
                                                    'controlOptions' => array ('class' => "col-xs-12" )
                                                ) 
                                            ); ?>
                        <?php echo BsHtml::activePasswordFieldControlGroup( 
                                                $userLogin, 'password', 
                                                array( 
                                                    'prepend' => BsHtml::faIcon('fw lock'),
                                                    'labelOptions' => false,
                                                    'controlOptions' => array ('class' => "col-xs-12" )
                                                ) 
                                            );?>
					</div>
					<div class="foot">
						<!-- button class="btn btn-default" data-dismiss="modal" type="button">Register</button-->
						<button class="btn btn-primary" data-dismiss="modal" type="submit">Login</button>
					</div>
				<?php echo CHtml::endForm(); ?>
			</div>
		</div>
		<div class="text-center out-links"><a href="#">&copy; 2016 SpinetiX</a></div>
	</div> 
</div>
