<?php

defined('YII_ERROR_CATCH') or define( 'YII_ERROR_CATCH', E_ALL & ~ (E_WARNING | E_USER_WARNING | E_USER_NOTICE | E_NOTICE) );		

class MyConsoleApplication extends CConsoleApplication {
    public $branding;    
    public function init() {
        $this->branding = new BrandingInfo;
        parent::init();
    }
    protected function initSystemHandlers()
    {
        if(YII_ENABLE_EXCEPTION_HANDLER)
            set_exception_handler(array($this,'handleException'));
        // We do not want yii error system to handle E_WARNING | E_USER_WARNING | E_USER_NOTICE
        if(YII_ENABLE_ERROR_HANDLER)
            set_error_handler(array($this,'handleError'),  YII_ERROR_CATCH );
    }
}