<?php

class m151028_110000_ssl extends CDbMigration
{
	
	public function up()
	{
        $src = "/usr/lib/ssl/certs/";
        $dst = "/etc/pki/spxmanage/certs/";
        $files = scandir( $src );
        $found = false;
        $ret = true;
        foreach ($files as $file) {
            if ( strlen($file) >4 && substr($file, -4) == ".pem") {
                $ret |= rename($src.$file, $dst.substr($file, 0, -4).".crt");
                $found = true;
            } else if ( filetype( $src.$file ) != 'dir' ){
                $ret |= unlink( $src.$file );
            }            
        }
        if ( $found ){
            exec('sync');        
            exec('update-ca-certificates -f');
            exec('sync');
        }
        return $ret;
	}
	
}