<?php

class AppsController extends Controller
{
    public $layout = '//layouts/menu';
     
    
    public function init(){
        parent::init();
        $this->breadcrumbs['Apps'] = array('/main/apps');
    }
    public function actionView( $id )
	{
        $apps = Apps::model()->findByPk($id);
        if ( $apps === null )
            throw new CHttpException(404, "No apps fopr id=".$id);
        if ( Yii::app()->request->isAjaxRequest ){
            echo $apps->getView();
        } else {
            $this->render('view', array( 
                'apps' => $apps
            ));
        }
	}    	
}