<?php
/* @var $this AssetsList */
?>
<div class="row spx-table-topbar">   
    <div class="col-sm-6 col-lg-4">
        <div class="btn-toolbar">
<?php
$this->widget('ActionSet', array(
    'actions' => array(
        array( 'preset'=> 'large',
                "data-bind" => "click: function(){ setPageLength( 'large' ); }, css: { active: !tableView() && pageLength()==length('large') }" ),
        array( 'preset'=> 'medium',
                "data-bind" => "click: function(){ setPageLength( 'medium' ); }, css: { active: !tableView() && pageLength()==length('medium') }" ),        
        array( 'preset'=> 'small',
                "data-bind" => "click: function(){ setPageLength( 'small' ); }, css: { active: !tableView() && pageLength()==length('small')}"),
        array( 'preset'=> 'list',
                "data-bind" => "click: function(){ setPageLength( 'list' ); }, css: { active: tableView() }"),        
    ),
    'options' => array(         
    ),
    'style' => 'icon',
    'size' => 'btn-sm'
));
$this->widget('ActionSet', array(
    'actions' => array(
        array( 'preset'=> 'horizontal',
                "data-bind" => "click: function(){ vertical( false ); }, css: { active: !vertical() }" ),
        array( 'preset'=> 'vertical',
                "data-bind" => "click: function(){ vertical( true ); }, css: { active: vertical() }" ),
    ),
    'style' => 'icon',
    'size' => 'btn-sm'
));
?>
        </div>
    </div>
    <div class="col-sm-6 col-md-4 col-md-offset-2 col-lg-3 col-lg-offset-5">        
        <!--div class="row">
            <div class="form-group col-md-6">
                <select class="form-control" data-style="btn-default" data-bind="bootstrapSelect: typeSearch, options: types">
                </select>                        
            </div>
            <div class="form-group col-md-6">
                <input class="form-control typeahead" type="text" placeholder="Search" data-bind="typeahead: inputSearch, typeaheadDataset: searchDatasets"/>
            </div>
        </div-->        
        <div class="form-group">
            <input class="form-control typeahead" type="text" placeholder="Search" data-bind="typeahead: inputSearch, typeaheadDataset: searchDatasets"/>            
        </div>
    </div>
</div>
<div data-bind="css: {'spx-vertical': vertical(), 'spx-horizontal': !vertical() }">
    <div class="clearfix <?php if ($this->useDropZone) echo 'spx-dropzone'; ?>">
        <table class="no-border table" data-bind="dataTable: datatableOptions, dataTableTarget: table, visible: tableView">
            <thead class="no-border">
            </thead>
            <tbody class="no-border-y" data-bind="">            
            </tbody>            
        </table>
    </div>
</div>
<script type="text/javascript" >
//<![CDATA[
var <?php echo $this->model; ?> = resourcesSelect( {
    resources: <?php echo $this->resources; ?>
});
iconView( <?php echo $this->model; ?>, {
    rows: 2,
    showType: false
});
//]]></script>