<?php

class BackupController extends ControlCenterController
{
    static function backup( ){
        $configBackup = new ConfigBackup;
        if ( isset( $_FILES['ConfigBackup'] ) ){
            $configBackup->setScenario( 'upload' );
            $file = CUploadedFile::getInstance($configBackup,'uploadedfile');
            if ( $configBackup->validate() && $file ) {
                $configBackup->applyBackupFile( $file->getTempName() );
            }
		} 
        return array( 
            'configBackup' => $configBackup,
            'upload' => isset( $_FILES['ConfigBackup'] )
        );
    }
    
    public function actionGet()
	{
        $backup = new ConfigBackup;
		if ( isset( $_POST['ConfigBackup'] ) )
			$backup->setAttributes( $_POST['ConfigBackup'] );
		if ( !$backup->dump() ) {
            throw new CHttpException(500, $backup->getError("uploadedfile"));
        }
    }
    
    public function actionPost()
	{
        $this->ajaxOnly(); 
        $errors = array();
        
        $res = self::backup( );
        if ( !$res['upload'] ) {
            $errors[] = "No file provided";
        }
        
        $this->render('/layouts/ajax', array(
            'errors' => $this->updateErrors( $res['configBackup'], $errors ),
        ));         
    }    
}