<?php

if ( Yii::app()->branding->hasRight('interactivity') ){
    $this->renderPartial('applications/interactivity', array(
                'playerConfig' => $playerConfig                
    ) );
    $this->renderPartial('applications/touchscreen', array( 
        'touchCalibration' => $touchCalibration,   
    ) );
}

if ( Yii::app()->branding->hasRight('netAPI') ){
    $this->renderPartial('applications/sv', array( 'playerConfig' => $playerConfig ) );
}
if ( Yii::app()->branding->hasRight('multiscreen') ){
    $this->renderPartial('applications/multiscreen', array( 'playerConfig' => $playerConfig ) );
}
if ( Yii::app()->branding->hasRight('NTP') ){
    $this->renderPartial('applications/ntp', array( 'ntpSettings' => $ntpSettings ) );
}
if ( Yii::app()->branding->hasRight('streaming') ){
    $this->renderPartial('applications/streaming', array(
                'logsInfo' => $logsInfo,
                'playerConfig' => $playerConfig
            ) );
}
if ( Yii::app()->branding->hasRight('firmware') ){
    $this->renderPartial('applications/firmware', array( 'firmwareUpdate' => $firmwareUpdate ) );
}
if ( Yii::app()->branding->hasRight('pullMode') ){
    $this->renderPartial('applications/concentrator', array( 'pullModeConfig' => $pullModeConfig ) );
}
if ( Yii::app()->branding->hasRight('pullMode') ){
    $this->renderPartial('applications/pullmode', array( 'pullModeConfig' => $pullModeConfig ) );
}